curl --request POST \
--url https://api.fernhq.com/payment-accounts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"paymentAccountType": "EXTERNAL_BANK_ACCOUNT",
"customerId": "072a8b7b-38c7-429a-a6cf-35dae7f2fb77",
"nickname": "Savings Account",
"organizationId": "24ab9fdd-5042-4d96-a616-4bef2877dd01",
"externalBankAccount": {
"bankName": "Chase Bank",
"bankAccountCurrency": "USD",
"bankAddress": {
"country": "US",
"addressLine1": "350 5th Avenue",
"city": "New York",
"state": "New York",
"postalCode": "10016",
"locale": "en-US",
"addressLine2": "Floor 21",
"stateCode": "NY"
},
"bankAccountType": "CHECKING",
"bankAccountPaymentMethod": "ACH",
"bankAccountOwner": {
"email": "[email protected]",
"address": {
"country": "US",
"addressLine1": "350 5th Avenue",
"city": "New York",
"state": "New York",
"postalCode": "10016",
"locale": "en-US",
"addressLine2": "Floor 21",
"stateCode": "NY"
},
"type": "INDIVIDUAL",
"firstName": "John",
"lastName": "Doe",
"businessName": "Fern LLC"
},
"accountNumber": "00123456789",
"routingNumber": "11110000",
"sortCode": "123456",
"iban": "GB29NWBK60161331926819",
"bicSwift": "SMCOGB2LXXX",
"transitNumber": "12345",
"institutionNumber": "111",
"bsbNumber": "123-456",
"ifscCode": "IFSC0001234",
"clabeNumber": "123456789012345678",
"bankCode": "123456",
"branchCode": "12345",
"cnapsCode": "123456789",
"nubanNumber": "123456789012",
"pixCode": "123456789",
"clearingCode": "123456",
"taxNumber": "123456789"
},
"fernAutoFiatAccount": {
"bankAccountCurrency": "USD",
"destinationPaymentAccountId": "03b7030f-6da1-4d76-9352-cdebd82112c8",
"destinationCurrency": "USDC",
"destinationPaymentMethod": "BASE",
"developerFeePercent": "0.1"
},
"externalCryptoWallet": {
"cryptoWalletType": "EVM",
"chain": "BASE",
"address": "0x1234567890123456789012345678901234567890"
},
"fernCryptoWallet": {
"cryptoWalletType": "EVM"
},
"isThirdParty": false
}
'{
"paymentAccountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"paymentAccountType": "FERN_CRYPTO_WALLET",
"paymentAccountStatus": "PENDING",
"nickname": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"externalBankAccount": {
"bankAccountType": "CHECKING",
"bankAccountOwnerName": "John Doe",
"bankAccountOwnerEmail": "[email protected]",
"bankName": "Chase Bank",
"bankAccountCurrency": {
"label": "<string>"
},
"bankAccountMask": "***6789",
"bankAccountPaymentMethod": "ACH",
"bankAccountNumber": "12346789",
"routingNumber": "11110000",
"wireRoutingNumber": "026009593",
"iban": "GB29NWBK60161331926819",
"bicSwift": "SMCOGB2LXXX",
"sortCode": "123456",
"transitNumber": "12345",
"institutionNumber": "111",
"bsbNumber": "123-456",
"ifscCode": "IFSC0001234",
"clabeNumber": "123456789012345678",
"bankCode": "123456",
"branchCode": "12345",
"cnapsCode": "123456789",
"nubanNumber": "123456789012",
"pixCode": "123456789",
"clearingCode": "123456",
"taxNumber": "123456789"
},
"fernAutoFiatAccount": {
"bankAccountOwnerName": "John Doe",
"bankName": "Chase Bank",
"bankAccountCurrency": {
"label": "<string>"
},
"bankAccountPaymentMethods": [
"ACH",
"WIRE"
],
"destinationPaymentAccountId": "03b7030f-6da1-4d76-9352-cdebd82112c8",
"destinationCurrency": {
"label": "USDC",
"chain": "ETHEREUM",
"contractAddress": "0x123456789abcd123456789abcd123456789abcd",
"currencyDecimals": 18
},
"bankAccountNumber": "12346789",
"routingNumber": "12346789",
"iban": "GB29NWBK60161331926819",
"bicSwift": "SMCOGB2LXXX",
"destinationPaymentMethod": "BASE"
},
"fernFiatAccount": {
"bankAccountOwnerName": "John Doe",
"bankName": "Chase Bank",
"bankAccountCurrency": {
"label": "<string>"
},
"bankAccountPaymentMethods": [
"ACH",
"WIRE"
],
"bankAccountNumber": "12346789",
"routingNumber": "12346789",
"iban": "GB29NWBK60161331926819",
"bicSwift": "SMCOGB2LXXX",
"sortCode": "123456",
"transitNumber": "12345",
"institutionNumber": "111",
"bsbNumber": "123-456",
"clabeNumber": "123456789012345678",
"bankCode": "123456",
"cnapsCode": "123456789",
"clearingCode": "123456"
},
"externalCryptoWallet": {
"cryptoWalletType": "EVM",
"chain": "BASE",
"address": "0x1234567890123456789012345678901234567890"
},
"fernCryptoWallet": {
"cryptoWalletType": "EVM",
"address": "0x1234567890123456789012345678901234567890"
},
"isThirdParty": false,
"bankAccountFormLink": "<string>"
}Create an account for a customer
curl --request POST \
--url https://api.fernhq.com/payment-accounts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"paymentAccountType": "EXTERNAL_BANK_ACCOUNT",
"customerId": "072a8b7b-38c7-429a-a6cf-35dae7f2fb77",
"nickname": "Savings Account",
"organizationId": "24ab9fdd-5042-4d96-a616-4bef2877dd01",
"externalBankAccount": {
"bankName": "Chase Bank",
"bankAccountCurrency": "USD",
"bankAddress": {
"country": "US",
"addressLine1": "350 5th Avenue",
"city": "New York",
"state": "New York",
"postalCode": "10016",
"locale": "en-US",
"addressLine2": "Floor 21",
"stateCode": "NY"
},
"bankAccountType": "CHECKING",
"bankAccountPaymentMethod": "ACH",
"bankAccountOwner": {
"email": "[email protected]",
"address": {
"country": "US",
"addressLine1": "350 5th Avenue",
"city": "New York",
"state": "New York",
"postalCode": "10016",
"locale": "en-US",
"addressLine2": "Floor 21",
"stateCode": "NY"
},
"type": "INDIVIDUAL",
"firstName": "John",
"lastName": "Doe",
"businessName": "Fern LLC"
},
"accountNumber": "00123456789",
"routingNumber": "11110000",
"sortCode": "123456",
"iban": "GB29NWBK60161331926819",
"bicSwift": "SMCOGB2LXXX",
"transitNumber": "12345",
"institutionNumber": "111",
"bsbNumber": "123-456",
"ifscCode": "IFSC0001234",
"clabeNumber": "123456789012345678",
"bankCode": "123456",
"branchCode": "12345",
"cnapsCode": "123456789",
"nubanNumber": "123456789012",
"pixCode": "123456789",
"clearingCode": "123456",
"taxNumber": "123456789"
},
"fernAutoFiatAccount": {
"bankAccountCurrency": "USD",
"destinationPaymentAccountId": "03b7030f-6da1-4d76-9352-cdebd82112c8",
"destinationCurrency": "USDC",
"destinationPaymentMethod": "BASE",
"developerFeePercent": "0.1"
},
"externalCryptoWallet": {
"cryptoWalletType": "EVM",
"chain": "BASE",
"address": "0x1234567890123456789012345678901234567890"
},
"fernCryptoWallet": {
"cryptoWalletType": "EVM"
},
"isThirdParty": false
}
'{
"paymentAccountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"paymentAccountType": "FERN_CRYPTO_WALLET",
"paymentAccountStatus": "PENDING",
"nickname": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"externalBankAccount": {
"bankAccountType": "CHECKING",
"bankAccountOwnerName": "John Doe",
"bankAccountOwnerEmail": "[email protected]",
"bankName": "Chase Bank",
"bankAccountCurrency": {
"label": "<string>"
},
"bankAccountMask": "***6789",
"bankAccountPaymentMethod": "ACH",
"bankAccountNumber": "12346789",
"routingNumber": "11110000",
"wireRoutingNumber": "026009593",
"iban": "GB29NWBK60161331926819",
"bicSwift": "SMCOGB2LXXX",
"sortCode": "123456",
"transitNumber": "12345",
"institutionNumber": "111",
"bsbNumber": "123-456",
"ifscCode": "IFSC0001234",
"clabeNumber": "123456789012345678",
"bankCode": "123456",
"branchCode": "12345",
"cnapsCode": "123456789",
"nubanNumber": "123456789012",
"pixCode": "123456789",
"clearingCode": "123456",
"taxNumber": "123456789"
},
"fernAutoFiatAccount": {
"bankAccountOwnerName": "John Doe",
"bankName": "Chase Bank",
"bankAccountCurrency": {
"label": "<string>"
},
"bankAccountPaymentMethods": [
"ACH",
"WIRE"
],
"destinationPaymentAccountId": "03b7030f-6da1-4d76-9352-cdebd82112c8",
"destinationCurrency": {
"label": "USDC",
"chain": "ETHEREUM",
"contractAddress": "0x123456789abcd123456789abcd123456789abcd",
"currencyDecimals": 18
},
"bankAccountNumber": "12346789",
"routingNumber": "12346789",
"iban": "GB29NWBK60161331926819",
"bicSwift": "SMCOGB2LXXX",
"destinationPaymentMethod": "BASE"
},
"fernFiatAccount": {
"bankAccountOwnerName": "John Doe",
"bankName": "Chase Bank",
"bankAccountCurrency": {
"label": "<string>"
},
"bankAccountPaymentMethods": [
"ACH",
"WIRE"
],
"bankAccountNumber": "12346789",
"routingNumber": "12346789",
"iban": "GB29NWBK60161331926819",
"bicSwift": "SMCOGB2LXXX",
"sortCode": "123456",
"transitNumber": "12345",
"institutionNumber": "111",
"bsbNumber": "123-456",
"clabeNumber": "123456789012345678",
"bankCode": "123456",
"cnapsCode": "123456789",
"clearingCode": "123456"
},
"externalCryptoWallet": {
"cryptoWalletType": "EVM",
"chain": "BASE",
"address": "0x1234567890123456789012345678901234567890"
},
"fernCryptoWallet": {
"cryptoWalletType": "EVM",
"address": "0x1234567890123456789012345678901234567890"
},
"isThirdParty": false,
"bankAccountFormLink": "<string>"
}To authenticate server-side requests
Schema for creating a new payment account
Type of payment account to create
FERN_CRYPTO_WALLET, EXTERNAL_CRYPTO_WALLET, EXTERNAL_BANK_ACCOUNT, FERN_AUTO_FIAT_ACCOUNT, FERN_FIAT_ACCOUNT "EXTERNAL_BANK_ACCOUNT"
Customer to create payment account
"072a8b7b-38c7-429a-a6cf-35dae7f2fb77"
Nickname for customer to use for the payment account
"Savings Account"
Organization to create payment account
"24ab9fdd-5042-4d96-a616-4bef2877dd01"
Request schema for external bank accounts
Show child attributes
The bank name
"Chase Bank"
The currency supported by the bank account
"USD"
Physical address information
Show child attributes
Two-letter country code (e.g., US for United States)
AD, AE, AF, AG, AI, AL, AM, AO, AQ, AR, AS, AT, AU, AZ, BA, BB, BD, BE, BF, BG, BH, BI, BJ, BM, BN, BO, BQ, BR, BS, BT, BW, BY, BZ, CA, CD, CF, CG, CH, CI, CK, CL, CM, CN, CO, CR, CU, CV, CY, CZ, DE, DJ, DK, DM, DO, DZ, EC, EE, EG, ER, ES, ET, FI, FJ, FK, FM, FO, FR, GA, GB, GD, GE, GF, GG, GH, GI, GL, GM, GN, GP, GQ, GR, GS, GT, GU, GW, GY, HK, HN, HR, HT, HU, ID, IE, IL, IM, IN, IO, IQ, IR, IS, IT, JE, JM, JO, JP, KE, KG, KH, KI, KM, KN, KP, KR, KW, KY, KZ, LA, LB, LC, LI, LK, LR, LS, LT, LU, LV, LY, MA, MC, MD, ME, MG, MH, MK, ML, MM, MN, MO, MP, MQ, MR, MS, MT, MU, MV, MW, MX, MY, MZ, NA, NE, NG, NI, NL, NO, NP, NR, NU, NZ, OM, PA, PE, PG, PH, PK, PL, PM, PN, PR, PS, PT, PW, PY, QA, RE, RO, RS, RU, RW, SA, SB, SC, SD, SS, SE, SG, SH, SI, SK, SL, SM, SN, SO, SR, ST, SV, SY, SZ, TC, TD, TF, TG, TH, TJ, TK, TL, TM, TN, TO, TR, TT, TV, TW, TZ, UA, UG, UM, US, UY, UZ, VA, VC, VE, VG, VI, VN, VU, WF, WS, YE, YT, ZA, ZM, ZW "US"
Street address including house/building number
4 - 35"350 5th Avenue"
Name of the city or town
1"New York"
State or province name (e.g., New York)
"New York"
Postal/ZIP code
"10016"
Language and region format (defaults to US English)
"en-US"
Additional address information (apartment, suite, unit, etc.)
4 - 35"Floor 21"
State or province abbreviation (e.g., NY for New York)
"NY"
The type of bank account
CHECKING, SAVINGS "CHECKING"
The payment method bank account will work with and be validated against
ACH, WIRE, SEPA, AE_UAEFTS, AR_TRANSFERS_3, AU_BECS, BD_BEFTN, BO_RTGS, BR_TED_DOC_PIX, CA_INTERAC, CL_TEF, CN_CNAPS, CO_ACH, CR_SINPE, CZ_CERTIS, DK_NEMKONTO_FI, DO_ACH, EC_LOCAL, EG_RTGS_IPN, GB_BACS_CHAPS_FPS, GH_GHIPSS, GT_ACH, HK_HKICL_CHATS_ECG, HU_GIRO, ID_SKN_RTGS, IL_ZAHAV, IN_NEFT_RTGS_IMPS, JM_LOCAL, JO_ACH, JP_ZENGIN, KE_KIBBS_PESALINK, KR_LOCAL, LK_LOCAL, MX_SPEI, MY_IBG_RENTAS, NG_NIBSS_NEFT, NO_NICS, NP_LOCAL, NZ_LOCAL, PE_CCE, PH_INSTAPAY_PESONET, PK_RAAST_IBFT, PL_ELIXIR_BLUE_CASH, QA_QPS, RO_RTGS, SA_MADA, SE_BANKGIROT, SG_FAST_MEPS, SV_LOCAL, SWIFT, TH_BAHTNET_PROMPTPAY, TR_FAST_EFT, TZ_RTGS, VN_IBPS, ZA_RTGS_EFT "ACH"
Details about the bank account owner/beneficiary
Show child attributes
Email of the beneficiary
Physical address information
Show child attributes
Two-letter country code (e.g., US for United States)
AD, AE, AF, AG, AI, AL, AM, AO, AQ, AR, AS, AT, AU, AZ, BA, BB, BD, BE, BF, BG, BH, BI, BJ, BM, BN, BO, BQ, BR, BS, BT, BW, BY, BZ, CA, CD, CF, CG, CH, CI, CK, CL, CM, CN, CO, CR, CU, CV, CY, CZ, DE, DJ, DK, DM, DO, DZ, EC, EE, EG, ER, ES, ET, FI, FJ, FK, FM, FO, FR, GA, GB, GD, GE, GF, GG, GH, GI, GL, GM, GN, GP, GQ, GR, GS, GT, GU, GW, GY, HK, HN, HR, HT, HU, ID, IE, IL, IM, IN, IO, IQ, IR, IS, IT, JE, JM, JO, JP, KE, KG, KH, KI, KM, KN, KP, KR, KW, KY, KZ, LA, LB, LC, LI, LK, LR, LS, LT, LU, LV, LY, MA, MC, MD, ME, MG, MH, MK, ML, MM, MN, MO, MP, MQ, MR, MS, MT, MU, MV, MW, MX, MY, MZ, NA, NE, NG, NI, NL, NO, NP, NR, NU, NZ, OM, PA, PE, PG, PH, PK, PL, PM, PN, PR, PS, PT, PW, PY, QA, RE, RO, RS, RU, RW, SA, SB, SC, SD, SS, SE, SG, SH, SI, SK, SL, SM, SN, SO, SR, ST, SV, SY, SZ, TC, TD, TF, TG, TH, TJ, TK, TL, TM, TN, TO, TR, TT, TV, TW, TZ, UA, UG, UM, US, UY, UZ, VA, VC, VE, VG, VI, VN, VU, WF, WS, YE, YT, ZA, ZM, ZW "US"
Street address including house/building number
4 - 35"350 5th Avenue"
Name of the city or town
1"New York"
State or province name (e.g., New York)
"New York"
Postal/ZIP code
"10016"
Language and region format (defaults to US English)
"en-US"
Additional address information (apartment, suite, unit, etc.)
4 - 35"Floor 21"
State or province abbreviation (e.g., NY for New York)
"NY"
Type of beneficiary - individual or business entity
INDIVIDUAL, BUSINESS "INDIVIDUAL"
First name of the beneficiary if it is a individual account
1"John"
Last name of the beneficiary if it is a individual account
1"Doe"
Full name of the business if it is a business bank account
1"Fern LLC"
The bank account number
"00123456789"
Routing number (used in the US)
"11110000"
Sort code (used in the UK)
"123456"
International Bank Account Number
"GB29NWBK60161331926819"
SWIFT/BIC code for international transfers
"SMCOGB2LXXX"
Transit number (used in Canada)
"12345"
institution number (used in Canada)
"111"
BSB number (used in Australia)
"123-456"
IFSC code (used in India)
"IFSC0001234"
CLABE number (used in Mexico)
"123456789012345678"
Bank code (country-specific)
"123456"
Branch code (country-specific)
"12345"
CNAPS code (used in China)
"123456789"
NUBAN number (used in Nigeria)
"123456789012"
PIX key (used in Brazil)
"123456789"
Clearing code (used in Hong Kong)
"123456"
Tax identification number (CPF/CNPJ)
"123456789"
Request schema for Fern auto fiat accounts
Show child attributes
The currency supported by the bank account
"USD"
The payment account id funds will be forwarded to
"03b7030f-6da1-4d76-9352-cdebd82112c8"
The currency that funds will be forwarded to in destination payment account
"USDC"
The payment method used to deposit funds to the destination payment account
ARBITRUM, BASE, ETHEREUM, OPTIMISM, POLYGON, SOLANA "BASE"
The percentage developer fee to be taken from transactions into this account. If not specified then the fern fee will be set
"0.1"
Response schema for external crypto wallets
Show child attributes
The type of crypto wallet
EVM, SVM "EVM"
The chain the wallet is on
ARBITRUM, BASE, ETHEREUM, OPTIMISM, POLYGON, SOLANA "BASE"
The address of the crypto wallet
"0x1234567890123456789012345678901234567890"
Whether the payment account is a third-party account. Defaults to false.
false
Create Payment Account Response
Response schema for creating a payment account
The id of the payment account
Type of payment account to create
FERN_CRYPTO_WALLET, EXTERNAL_CRYPTO_WALLET, EXTERNAL_BANK_ACCOUNT, FERN_AUTO_FIAT_ACCOUNT, FERN_FIAT_ACCOUNT The status of the payment account
PENDING, ACTIVE, DEACTIVATED Nickname for customer to use for the payment account
ISO timestamp when this transaction was created
The id of the customer this payment account belongs to
Response schema for external bank accounts
Show child attributes
The type of bank account
CHECKING, SAVINGS "CHECKING"
The name of the owner of this bank account
1"John Doe"
The emil of the owner of this bank account
The bank name
1"Chase Bank"
The mask of this bank accounts account number
"***6789"
The payment method bank account works with
ACH, WIRE, SEPA, AE_UAEFTS, AR_TRANSFERS_3, AU_BECS, BD_BEFTN, BO_RTGS, BR_TED_DOC_PIX, CA_INTERAC, CL_TEF, CN_CNAPS, CO_ACH, CR_SINPE, CZ_CERTIS, DK_NEMKONTO_FI, DO_ACH, EC_LOCAL, EG_RTGS_IPN, GB_BACS_CHAPS_FPS, GH_GHIPSS, GT_ACH, HK_HKICL_CHATS_ECG, HU_GIRO, ID_SKN_RTGS, IL_ZAHAV, IN_NEFT_RTGS_IMPS, JM_LOCAL, JO_ACH, JP_ZENGIN, KE_KIBBS_PESALINK, KR_LOCAL, LK_LOCAL, MX_SPEI, MY_IBG_RENTAS, NG_NIBSS_NEFT, NO_NICS, NP_LOCAL, NZ_LOCAL, PE_CCE, PH_INSTAPAY_PESONET, PK_RAAST_IBFT, PL_ELIXIR_BLUE_CASH, QA_QPS, RO_RTGS, SA_MADA, SE_BANKGIROT, SG_FAST_MEPS, SV_LOCAL, SWIFT, TH_BAHTNET_PROMPTPAY, TR_FAST_EFT, TZ_RTGS, VN_IBPS, ZA_RTGS_EFT "ACH"
The bank account's account number
"12346789"
The bank account's routing number if applicable
"11110000"
The bank account's wire routing number (US only)
"026009593"
International Bank Account Number
"GB29NWBK60161331926819"
SWIFT/BIC code for international transfers
"SMCOGB2LXXX"
Sort code (used in the UK)
"123456"
Transit number (used in Canada)
"12345"
Institution number (used in Canada)
"111"
BSB number (used in Australia)
"123-456"
IFSC code (used in India)
"IFSC0001234"
CLABE number (used in Mexico)
"123456789012345678"
Bank code (country-specific)
"123456"
Branch code (country-specific)
"12345"
CNAPS code (used in China)
"123456789"
NUBAN number (used in Nigeria)
"123456789012"
PIX key (used in Brazil)
"123456789"
Clearing code (used in Hong Kong)
"123456"
Tax identification number (CPF/CNPJ)
"123456789"
Response schema for Fern auto fiat accounts
Show child attributes
The name of the owner of this bank account
1"John Doe"
The bank name
1"Chase Bank"
The payment methods bank account works with
ACH, WIRE, SEPA, AE_UAEFTS, AR_TRANSFERS_3, AU_BECS, BD_BEFTN, BO_RTGS, BR_TED_DOC_PIX, CA_INTERAC, CL_TEF, CN_CNAPS, CO_ACH, CR_SINPE, CZ_CERTIS, DK_NEMKONTO_FI, DO_ACH, EC_LOCAL, EG_RTGS_IPN, GB_BACS_CHAPS_FPS, GH_GHIPSS, GT_ACH, HK_HKICL_CHATS_ECG, HU_GIRO, ID_SKN_RTGS, IL_ZAHAV, IN_NEFT_RTGS_IMPS, JM_LOCAL, JO_ACH, JP_ZENGIN, KE_KIBBS_PESALINK, KR_LOCAL, LK_LOCAL, MX_SPEI, MY_IBG_RENTAS, NG_NIBSS_NEFT, NO_NICS, NP_LOCAL, NZ_LOCAL, PE_CCE, PH_INSTAPAY_PESONET, PK_RAAST_IBFT, PL_ELIXIR_BLUE_CASH, QA_QPS, RO_RTGS, SA_MADA, SE_BANKGIROT, SG_FAST_MEPS, SV_LOCAL, SWIFT, TH_BAHTNET_PROMPTPAY, TR_FAST_EFT, TZ_RTGS, VN_IBPS, ZA_RTGS_EFT ["ACH", "WIRE"]The payment account id funds will be forwarded to
"03b7030f-6da1-4d76-9352-cdebd82112c8"
Schema representing either a fiat or crypto currency
Show child attributes
The chain the crypto currency is on
ARBITRUM, BASE, ETHEREUM, OPTIMISM, POLYGON, SOLANA {
"label": "USDC",
"chain": "ETHEREUM",
"contractAddress": "0x123456789abcd123456789abcd123456789abcd",
"currencyDecimals": 18
}The bank account's account number
"12346789"
The bank account's routing number if applicable
"12346789"
International Bank Account Number
"GB29NWBK60161331926819"
SWIFT/BIC code for international transfers
"SMCOGB2LXXX"
The payment method for the destination account
ARBITRUM, BASE, ETHEREUM, OPTIMISM, POLYGON, SOLANA "BASE"
Response schema for Fern fiat accounts
Show child attributes
The name of the owner of this bank account
1"John Doe"
The bank name
1"Chase Bank"
The payment methods bank account works with
ACH, WIRE, SEPA, AE_UAEFTS, AR_TRANSFERS_3, AU_BECS, BD_BEFTN, BO_RTGS, BR_TED_DOC_PIX, CA_INTERAC, CL_TEF, CN_CNAPS, CO_ACH, CR_SINPE, CZ_CERTIS, DK_NEMKONTO_FI, DO_ACH, EC_LOCAL, EG_RTGS_IPN, GB_BACS_CHAPS_FPS, GH_GHIPSS, GT_ACH, HK_HKICL_CHATS_ECG, HU_GIRO, ID_SKN_RTGS, IL_ZAHAV, IN_NEFT_RTGS_IMPS, JM_LOCAL, JO_ACH, JP_ZENGIN, KE_KIBBS_PESALINK, KR_LOCAL, LK_LOCAL, MX_SPEI, MY_IBG_RENTAS, NG_NIBSS_NEFT, NO_NICS, NP_LOCAL, NZ_LOCAL, PE_CCE, PH_INSTAPAY_PESONET, PK_RAAST_IBFT, PL_ELIXIR_BLUE_CASH, QA_QPS, RO_RTGS, SA_MADA, SE_BANKGIROT, SG_FAST_MEPS, SV_LOCAL, SWIFT, TH_BAHTNET_PROMPTPAY, TR_FAST_EFT, TZ_RTGS, VN_IBPS, ZA_RTGS_EFT ["ACH", "WIRE"]The bank account's account number
"12346789"
The bank account's routing number if applicable
"12346789"
International Bank Account Number
"GB29NWBK60161331926819"
SWIFT/BIC code for international transfers
"SMCOGB2LXXX"
Sort code (used in the UK)
"123456"
Transit number (used in Canada)
"12345"
Institution number (used in Canada)
"111"
BSB number (used in Australia)
"123-456"
CLABE number (used in Mexico)
"123456789012345678"
Bank code (country-specific)
"123456"
CNAPS code (used in China)
"123456789"
Clearing code (used in Hong Kong)
"123456"
Response schema for external crypto wallets
Show child attributes
The type of crypto wallet
EVM, SVM "EVM"
The chain the wallet is on
ARBITRUM, BASE, ETHEREUM, OPTIMISM, POLYGON, SOLANA "BASE"
The address of the crypto wallet
"0x1234567890123456789012345678901234567890"
Whether the payment account is a third-party account. Defaults to false.
A link to a hosted form to create a bank account
Was this page helpful?